# Retrieve pending shipping transactions Returns a list of pending shipping transactions. A shipping transaction is created when the seller accepts the corresponding shipping request. A pending transaction is one that has not been accepted, failed, rejected, cancelled, or requires payment. Endpoint: GET /transactions/pending Version: 0.0.1 Security: oAuthWithPKCE ## Response 200 fields (application/json): - `transactions` (array) - `transactions.id` (string) The transaction ID. Example: "6ea1b3ec-7ac2-40c5-9ed0-d315b2f5f5bd" - `transactions.request_id` (string) The ID of the shipping request associated with this transaction. Example: "bf44bd9c-b9fc-4e63-ba48-78539979738a" - `transactions.item_ids` (array) The items from the shipping request associated with the transaction. Example: ["3e9wzv7zlmdr","abc123xyz","another-id"] - `transactions.seller_revenue` (object) A detailed breakdown of the seller's revenue. - `transactions.seller_revenue.item_price` (object) The price at which the item was sold. - `transactions.seller_revenue.item_price.amount` (number) The amount in the specified currency. Example: 300.89 - `transactions.seller_revenue.item_price.currency` (string) The currency code associated with the amount. The only supported currency is EUR. Example: "EUR" - `transactions.seller_revenue.delivery_cost` (object) The cost of delivering the item to the buyer. - `transactions.seller_revenue.fees_cost` (object) Fees deducted by the platform for the transaction. - `transactions.seller_revenue.total` (object) The final amount the seller will receive. - `transactions.buyer_cost` (object) A detailed breakdown of the buyer's cost - `transactions.buyer_cost.total` (object) The final amount the buyer will pay. - `transactions.buyer_user_id` (string) A unique identifier generated by Wallapop to identify the buyer for the shipping request associated with this transaction. Example: "v9owzy2j5g7x" - `transactions.delivery_status` (string) The transaction status. The possible statuses are: - pending registration: The transaction has been created in Wallapop's system, but we are awaiting registration with the carrier. There is a slight delay, and the status will display as "pending registration." - pending delivery to carrier: The sender has prepared the package, but it has not yet been dropped off. - attempt pickup failed: The carrier attempted to pick up the package but was unable to do so due to various reasons, such as the package not being available, an incorrect pickup address, or the business being closed. - deposited at pudo: The sender has dropped off the package at a Pick Up Drop Off (PUDO) location for shipment. - delivered to carrier: The post office has accepted the package and handed it over for processing and transit. - on hold at carrier: The package is temporarily on hold with the postal service due to an issue, such as an address problem or a recipient request. - on hold instructions received: Additional instructions regarding the package’s status have been received. - in transit: The package is moving through the postal network toward the recipient’s local post office. - out for delivery: The package is on the final delivery route to the recipient’s home. - attempt delivery failed: The carrier attempted to deliver the package to the home but was unsuccessful, possibly due to the recipient being unavailable or an incorrect address. - delivered: The recipient has successfully picked up the package from the post office or received it at home. - lost: This status is typically updated manually by the customer after an investigation with the carrier. - expired: The seller has not dropped off the package with the carrier within the required five-day period, resulting in no package being returned. - returned: The package has been sent back to the sender due to non-collection or another issue. - unknown: The status of the package is currently unknown. - failed: This status indicates that the carrier has sent us a status we are not mapping, requiring manual intervention on our part. - cancelled: The cancellation has been manually processed internally. - cancelled by seller: The seller has cancelled the transaction. - available for the recipient: Indicates that the package is ready for pickup at the post office when post office pickup has been selected. Enum: "pending registration", "pending delivery to carrier", "attempt pickup failed", "deposited at pudo", "delivered to carrier", "on hold at carrier", "on hold instructions received", "in transit", "out for delivery", "attempt delivery failed", "delivered", "lost", "expired", "returned", "unknown", "failed", "cancelled", "cancelled by seller", "available for the recipient" - `transactions.carrier_drop_off_mode` (string) The method by which the carrier will receive the item either through the seller's drop-off at the post office or a pickup from the seller's home. The drop_off_mode is selected either by the buyer or Wallapop rules. Enum: "post office", "home pickup" - `transactions.carrier` (string,null) The company or service responsible for transporting and delivering packages from the seller to the buyer. Examples include Correos, Seur, InPost and other shipping providers. The carrier is selected either the buyer or Wallapop rules. Example: "Seur" - `transactions.carrier_tracking_code` (string,null) The shipment tracking code generated by the carrier. Example: "SEURESITM1S8DWA" - `transactions.delivery_label_url` (string,null) The shipping label URL. Example: "https://delivery-labels-test.wallapop.com/a98f3a24-afb2-40d9-a0b6-5285224794fb.jpg" - `transactions.delivery_id` (string,null) The delivery id, set when the transaction is linked to a delivery. Example: "ffbb8752-bde8-40e4-ba59-bf6354f7edff" - `transactions.buyer_information` (object,null) Information about the buyer's information associated with the shipping request or transaction. If you want to manage logistics, you can contact commercial team to get access to this information. - `transactions.buyer_information.name` (string) The full name of the buyer. Example: "John Doe" - `transactions.buyer_information.street` (string) The street address of the buyer. Example: "123 Main St" - `transactions.buyer_information.postal_code` (string) The postal code of the buyer's address. Example: 8001 - `transactions.buyer_information.city` (string) The city of the buyer's address. Example: "Barcelona" - `transactions.buyer_information.region` (string) The region or state of the buyer's address. Example: "Catalonia" - `transactions.buyer_information.country` (string) The country of the buyer's address. Example: "ES" - `transactions.buyer_information.phone_number` (string) The phone number of the buyer. Example: "+34612345678" - `transactions.item_id` (string) An individual item from the shipping request associated with the transaction. Example: "3e9wzv7zlmdr"